#include <iostream>

using namespace std;

int main(int argc, char** argv) {
	int n;
	cin>>n;
	int niz[n];
	int maxi = 0;
	int pom=0;
	
	
	if(n==2)
	{
		cin>>maxi;
		cin>>pom;
		cout<<pom;
		cout<<maxi;
		return 0;
	}
	
	
	for(int i=0; i<n; i++)
	{
		cin>>niz[i];
		if(niz[i]>maxi){
			maxi=niz[i];
			pom=i;
		}
		
	}
	
	if(niz[0]==maxi){
		maxi=niz[1];
		int pom1=0;
		    for(int i=1; i<n; i++){
			    if(niz[i]>maxi){
			        pom1=i;
			        maxi=niz[i];
			}
		}
		niz[pom1]=niz[1];
		niz[1]=maxi;
	}      else {
		      niz[pom]=niz[0];
		      niz[0]=maxi;
	}
    
	
	for(int i=0; i<n; i++)
	{
		cout<<niz[i];
	}
	
}